import QtQuick 2.0

import QtQuick
import QtQuick.VirtualKeyboard
import QtQuick.Controls

Item {
    anchors.fill: parent
    signal userActivity()

    TextField {
        id: passwordField

        anchors.centerIn: parent

        echoMode: TextInput.Password
        placeholderText: "Enter Password"
        inputMethodHints: Qt.ImhNoAutoUppercase
                          | Qt.ImhPreferLowercase
                          | Qt.ImhSensitiveData
                          | Qt.ImhNoPredictiveText

        onAccepted: screenSelector.login()

        onTextChanged: userActivity()
    }


    InputPanel {
        id: inputPanel
        z: 1000
        x: 0
        y: parent.height
        width: parent.width

        states: State {
            name: "visible"
            when: inputPanel.active
            PropertyChanges {
                target: inputPanel
                y: parent.height - inputPanel.height
            }
        }
        transitions: Transition {
            from: ""
            to: "visible"
            reversible: true
            ParallelAnimation {
                NumberAnimation {
                    properties: "y"
                    duration: 250
                    easing.type: Easing.InOutQuad
                }
            }
        }
    }

}
