import QtQuick
import QtQuick.Window

Window {
    width: 600;
    height: 600

    visible: true
    title: qsTr("Cool Application")

    //A bit of a hack
    //Some of these made screens with InputFields send a signal of activity
    //So the screensaver works
    //There is a better way.
    Connections {
        id: connections
        target: loader.item
        ignoreUnknownSignals: true
        function onUserActivity() {
            inactivityTimer.restart()
        }
    }

    Loader{
        id: loader
        anchors.fill: parent

        source: screenSelector.currentScreen


        Item{
            id: monitoringForInactivity
            anchors.fill: parent

            MouseArea {
                anchors.fill: parent
                propagateComposedEvents: true
                Timer{
                    id: inactivityTimer
                    running: true
                    repeat: true

                    interval: 20000 // 20 seconds
                    onTriggered: ()=>{
                           screenSelector.sleep();
                   }

                }

                onClicked: (mouse)=>{
                    mouse.accepted = false
                    if( inactivityTimer.running )
                        inactivityTimer.restart()
                }

            }
        }

    }

}
