#ifndef SCREENSELECTOR_H
#define SCREENSELECTOR_H

#include <QObject>
#include <QUrl>
#include <QStateMachine>
#include "communicationlayer.h"



class ScreenSelector : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QUrl currentScreen READ currentScreen WRITE setCurrentScreen NOTIFY currentScreenChanged)


public:
    explicit ScreenSelector(QObject *parent = nullptr);

    const QUrl &currentScreen() const;
    void setCurrentScreen(const QUrl &newCurrentScreen);


    Q_INVOKABLE void login();
    Q_INVOKABLE void logout();
    Q_INVOKABLE void sleep();
    Q_INVOKABLE void wakeUp();

    QAbstractState* getState();

signals:
    void currentScreenChanged();
    void inactiveForTooLong();
    void wokenUp();

private:
    QUrl m_currentScreen;
    QStateMachine m_statemachine; //instantiating a QStateMachine object

    CommunicationLayer m_communicationLayer;
};

#endif // SCREENSELECTOR_H
